pipeline {
    agent any
	tools {
		nodejs 'localNode'
	}

    stages {
		stage('Initialize') {
            steps {
            echo 'Initialize...'
			sh '''
				echo "PATH = ${PATH}"
			'''
            }
        }
        stage('Install dependencies') {
            steps {
                echo 'Install dependencies...'
				sh '''
                    cd FrontEnd
                    npm install -g @angular/cli@1.7.4;
                    npm install
				'''
            }
        }
        stage('Build') {
            steps {
                echo 'Building...'
				sh '''
				    ng build --prod
                '''
            }
        }
        stage('Test') {
            steps {
                echo 'Testing...'
            }
        }
        stage('Deploy') {
            steps {
                echo 'Deploying...'
            }
        }
    }
}